RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Attributes | List of all members
DeltaVSoft.RCFProto.ServerTransport Class Reference

Base class for all server transports. More...

Inheritance diagram for DeltaVSoft.RCFProto.ServerTransport:

## Public Member Functions
virtual void | Dispose ()
virtual TransportType | GetTransportType ()
| Returns the transport type of this server transport. More...
ServerTransport | SetMaxIncomingMessageLength (uint maxMessageLength)
| Sets maximum incoming message length. Incoming messages that are larger than this size will be dropped. More...
uint | GetMaxIncomingMessageLength ()
| Returns maximum incoming message length. More...
ServerTransport | SetConnectionLimit (uint connectionLimit)
| Sets the maximum number of simultaneous connections to the server transport. More...
uint | GetConnectionLimit ()
| Returns the maximum number of simultaneous connections to the server transport. More...
ServerTransport | SetInitialNumberOfConnections (uint initialNumberOfConnections)
| Sets the initial number of listening connections that are created when the server transport starts. More...
uint | GetInitialNumberOfConnections ()
| Returns the initial number of listening connections that are created when the server transport starts. More...
ServerTransport | SetThreadPool (ThreadPool threadPoolPtr)
| Sets the thread pool that the server transport will use. More...
ServerTransport | SetSupportedProtocols (TransportProtocolList protocols)
| Sets the list of supported protocols the server transport supports. Clients that connect without using one of the supported protocols are dropped. If the list of supported protocols is empty, all protocols are allowed. More...
TransportProtocolList | GetSupportedProtocols ()

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Base class for all server transports.

## Member Function Documentation

virtual void DeltaVSoft.RCFProto.ServerTransport.Dispose | ( |  | ) |
| virtual

uint DeltaVSoft.RCFProto.ServerTransport.GetConnectionLimit | ( |  | ) |

Returns the maximum number of simultaneous connections to the server transport.

uint DeltaVSoft.RCFProto.ServerTransport.GetInitialNumberOfConnections | ( |  | ) |

Returns the initial number of listening connections that are created when the server transport starts.

uint DeltaVSoft.RCFProto.ServerTransport.GetMaxIncomingMessageLength | ( |  | ) |

Returns maximum incoming message length.

TransportProtocolList DeltaVSoft.RCFProto.ServerTransport.GetSupportedProtocols | ( |  | ) |

virtual TransportType DeltaVSoft.RCFProto.ServerTransport.GetTransportType | ( |  | ) |
| virtual

Returns the transport type of this server transport.

ServerTransport DeltaVSoft.RCFProto.ServerTransport.SetConnectionLimit | ( | uint | connectionLimit | ) |

Sets the maximum number of simultaneous connections to the server transport.

ServerTransport DeltaVSoft.RCFProto.ServerTransport.SetInitialNumberOfConnections | ( | uint | initialNumberOfConnections | ) |

Sets the initial number of listening connections that are created when the server transport starts.

ServerTransport DeltaVSoft.RCFProto.ServerTransport.SetMaxIncomingMessageLength | ( | uint | maxMessageLength | ) |

Sets maximum incoming message length. Incoming messages that are larger than this size will be dropped.

ServerTransport DeltaVSoft.RCFProto.ServerTransport.SetSupportedProtocols | ( | TransportProtocolList | protocols | ) |

Sets the list of supported protocols the server transport supports. Clients that connect without using one of the supported protocols are dropped. If the list of supported protocols is empty, all protocols are allowed.

ServerTransport DeltaVSoft.RCFProto.ServerTransport.SetThreadPool | ( | ThreadPool | threadPoolPtr | ) |

Sets the thread pool that the server transport will use.

## Member Data Documentation

bool DeltaVSoft.RCFProto.ServerTransport.swigCMemOwn
| protected

The documentation for this class was generated from the following file:

- ServerTransport.cs